%define realname qwt
%define major 6
%define libname %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} -d
%define debug_package %{nil} 
%define _disable_ld_no_undefined 1

Name: libqwt
Version: 6.0.2
Release: %mkrel 1
Summary: 2D plotting widget extension to the Qt GUI
License: Qwt License 1.0
Group: System/Libraries
Url: http://sourceforge.net/projects/qwt
Source: http://freefr.dl.sourceforge.net/sourceforge/qwt/%realname-%version.tar.xz
Patch0: libqwt-6.0.2-install_qt.patch
Patch1: libqwt-6.0.2-project_error.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt4-devel

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

%package -n %libname 
Summary: 2D plotting widget extension to the Qt GUI
Group: System/Libraries

%description -n %libname
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%package -n %libnamedev
Summary: Development tools for programs which uses Qwt Widget set
Group: Development/Libraries
Requires: %libname = %version
Provides: libqwt-devel = %version-%release
Obsoletes: %libname-devel

%description -n %libnamedev
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%prep
%setup -q -n %realname-%version
%patch0 -p1
%patch1 -p1 
#sed -i -e 's|INSTALLBASE/lib|INSTALLBASE/%{_lib}|' qwtconfig.pri

%build
#%qmake_qt4 INSTALLBASE=%{_prefix} 
%qmake_qt4 CONFIG+=install-qt 
make

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_mandir}/man3/
install doc/man/man3/* %{buildroot}%{_mandir}/man3/

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr (-,root,root)
%doc CHANGES COPYING README
%{qt4lib}/libqwt.so.%{major}*
%{qt4lib}/libqwtmathml.so.%{major}*
%{qt4plugins}/designer/*

%files -n %libnamedev
%defattr (-,root,root)
%doc COPYING doc/html/*.css doc/html/*.html doc/html/*.png
%doc examples
%{qt4include}/*
%{_libdir}/pkgconfig/%realname.pc
%{_qt_datadir}/mkspecs/*
%{qt4lib}/*.so
%_defaultdocdir/qt4/*
%_mandir/man3/*


%changelog
* Mon Jan 14 2013 pinoc <vogtpet at gmail.com> 6.0.2-1pclos2013
- 6.0.2
- add new patches from openmamba
- Terry made paths work

* Fri Sep 09 2011 Texstar <texstar at gmail.com> 5.2.1-1pclos2011
- 5.2.1
